Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine.fonts
Class PSFont

    java.lang.Object
      com.rie.rieps.engine.fonts.PSFont

    public class PSFont

extends java.lang.Object

Author:
  Yves Piel

Field Summary
`static PSFont` | `DEFAULT`

Constructor Summary
`PSFont()` Creates a new instance of PSFont
`PSFont(PSFont psf)`
`PSFont(java.lang.String desc)`
`PSFont(java.lang.String name, float size)`
`PSFont(java.lang.String s, float size, float degree)`
`PSFont(java.lang.String name, java.lang.String a, java.lang.String b, java.lang.String c, java.lang.String d, java.lang.String e, java.lang.String f)`

Method Summary
`java.lang.String` | `getMatrix_a()`
`java.lang.String` | `getMatrix_b()`
`java.lang.String` | `getMatrix_c()`
`java.lang.String` | `getMatrix_d()`
`java.lang.String` | `getMatrix_e()`
`java.lang.String` | `getMatrix_f()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPSDesc()` Return the postscript font description linked to the awt one.
`float` | `getRotate()`
`float` | `getSize()`
`PSFont` | `setMatrix_a(java.lang.String matrix_a)`
`PSFont` | `setMatrix_b(java.lang.String matrix_b)`
`PSFont` | `setMatrix_c(java.lang.String matrix_c)`
`PSFont` | `setMatrix_d(java.lang.String matrix_d)`
`PSFont` | `setMatrix_e(java.lang.String matrix_e)`
`PSFont` | `setMatrix_f(java.lang.String matrix_f)`
`PSFont` | `setMatrix(java.lang.String a, java.lang.String b, java.lang.String c, java.lang.String d, java.lang.String e, java.lang.String f)`
`PSFont` | `setName(java.lang.String name)`
`PSFont` | `setRotate(float degree)`
`PSFont` | `setSize(float size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final PSFont DEFAULT

Constructor Detail

### PSFont

    public PSFont()

  Creates a new instance of PSFont

### PSFont

    public PSFont(java.lang.String name,
                  float size)

### PSFont

    public PSFont(java.lang.String s,
                  float size,
                  float degree)

### PSFont

    public PSFont(java.lang.String name,
                  java.lang.String a,
                  java.lang.String b,
                  java.lang.String c,
                  java.lang.String d,
                  java.lang.String e,
                  java.lang.String f)

### PSFont

    public PSFont(PSFont psf)

### PSFont

    public PSFont(java.lang.String desc)
           throws RiepsException

Throws:
  `RiepsException`

Method Detail

### setSize

    public PSFont setSize(float size)

### setRotate

    public PSFont setRotate(float degree)

### getName

    public java.lang.String getName()

### setName

    public PSFont setName(java.lang.String name)

### getMatrix_a

    public java.lang.String getMatrix_a()

### setMatrix_a

    public PSFont setMatrix_a(java.lang.String matrix_a)

### getMatrix_b

    public java.lang.String getMatrix_b()

### setMatrix_b

    public PSFont setMatrix_b(java.lang.String matrix_b)

### getMatrix_c

    public java.lang.String getMatrix_c()

### setMatrix_c

    public PSFont setMatrix_c(java.lang.String matrix_c)

### getMatrix_d

    public java.lang.String getMatrix_d()

### setMatrix_d

    public PSFont setMatrix_d(java.lang.String matrix_d)

### getMatrix_e

    public java.lang.String getMatrix_e()

### setMatrix_e

    public PSFont setMatrix_e(java.lang.String matrix_e)

### getMatrix_f

    public java.lang.String getMatrix_f()

### setMatrix_f

    public PSFont setMatrix_f(java.lang.String matrix_f)

### setMatrix

    public PSFont setMatrix(java.lang.String a,
                            java.lang.String b,
                            java.lang.String c,
                            java.lang.String d,
                            java.lang.String e,
                            java.lang.String f)

### getSize

    public float getSize()

### getRotate

    public float getRotate()

### getPSDesc

    public java.lang.String getPSDesc()

  Return the postscript font description linked to the awt one. It's like : FontFamily,size,rotate,matrixa,matrixb,matrixc,matrixd,matrixe,matrixf Some fields can be empty except the family name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD